# Generated by Django 3.1.2 on 2020-12-09 23:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='PageTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('is_active', models.BooleanField()),
                ('name', models.CharField(blank=True, max_length=160, null=True)),
                ('template_file', models.CharField(choices=(lambda: [('', 'No templates found')])(), max_length=1024)),
                ('note', models.TextField(blank=True, help_text='Editorial Board Notes, not visible by public.', null=True)),
            ],
            options={
                'verbose_name_plural': 'Page Templates',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='TemplateBlock',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('is_active', models.BooleanField()),
                ('name', models.CharField(blank=True, help_text='Specify the container section in the template where this block would be rendered.', max_length=60, null=True)),
                ('description', models.TextField(blank=True, help_text='Description of this block', null=True)),
                ('type', models.TextField(choices=[('cms.templates.blocks.NullBlock', 'Null Block'), ('cms.templates.blocks.HtmlBlock', 'HTML Block'), ('cms.templates.blocks.JSONBlock', 'JSON Block'), ('unical.flescaTeam.custom_blocks.AngularJSONBlock', 'Angular JSON Block')])),
                ('content', models.TextField(blank=True, help_text='according to the block template schema', null=True)),
            ],
            options={
                'verbose_name_plural': 'Template Blocks',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='PageTemplateBlock',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('order', models.IntegerField(blank=True, default=10, null=True)),
                ('is_active', models.BooleanField()),
                ('section', models.CharField(blank=True, choices=[('pre-head', 'Pre-Header'), ('head', 'Header'), ('menu-1', 'Navigation Main Menu'), ('menu-2', 'Navigation Menu 2'), ('menu-3', 'Navigation Menu 3'), ('menu-4', 'Navigation Menu 4'), ('slider', 'Carousel/Slider'), ('slider-2', 'Carousel/Slider 2'), ('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'), ('6', '6'), ('7', '7'), ('8', '8'), ('9', '9'), ('pre-footer', 'Pre-Footer'), ('footer', 'Footer'), ('post-footer', 'Post-Footer')], help_text='Specify the container section in the template where this block would be rendered.', max_length=33, null=True)),
                ('block', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cmstemplates.templateblock')),
                ('template', models.ForeignKey(limit_choices_to={'is_active': True}, on_delete=django.db.models.deletion.CASCADE, to='cmstemplates.pagetemplate')),
            ],
            options={
                'verbose_name_plural': 'Page Template Blocks',
            },
        ),
    ]
